### Name: sechol
### Title: Schnabel-Eskow Choleksy Decomposition
### Aliases: sechol
### Keywords: array optimize

### ** Examples

# compare with chol() on a non-singular matrix
S <- matrix(c(2,0,2.4,0,2,0,2.4,0,3),ncol=3)
chol(S)
TS<- sechol(S)
TS
t(TS) 

# an example with a singular matrix
S <- matrix(c(2,0,2.5,0,2,0,2.5,0,3),ncol=3)
TS<-sechol(S) 
TS
t(TS) 
    
# another example with a singular matrix
S <- matrix(c(2,0,10,0,2,0,10,0,3),ncol=3)
TS <- sechol(S)
TS
t(TS) 
## Don't show: 
  # unit test
if (is.R()){
  selfTest=get("secholTest",envir=environment(sechol))
} else {
  selfTest=secholTest
}
if (!selfTest()) {
        warning("failed self-test")
}
## End Don't show



